Get all app versions for an app
curl --request GET \
--url https://api.example.com/api/app/{app_id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/app/{app_id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/app/{app_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_name": "<string>",
"status": "<string>",
"created_by": "<string>",
"created_date": "<unknown>",
"updated_by": "<string>",
"updated_date": "<unknown>"
}
]{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}App manager
Get all app versions for an app
Returns all versions for an app.
Authorization:
- Users with the
nx1_app_managerrole can access any app’s versions. - Users with app-specific roles can access only apps they have permission for.
GET
/
api
/
app
/
{app_id}
/
versions
Get all app versions for an app
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique ID of the app.
Response
App versions retrieved successfully.
Unique ID of the app version.
ID of the parent app.
Name of the version.
Status of the version: 'active' or 'inactive'.
Username of the creator.
Version creation timestamp.
Username of the last updater.
Timestamp when the version was last updated.
Was this page helpful?

